## ros-kinetic-rqt-ez-publisher 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_ez_publisher)

find_package(catkin REQUIRED COMPONENTS rostest)

catkin_python_setup()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/function_test.py)
  add_rostest(test/ros.test)
endif()

install(FILES
  plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_ez_publisher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-rqt-ez-publisher (0.5.0-0xenial) xenial; urgency=high

  * Add congigure checkbox and publish button by rein, thank you

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 02 Mar 2017 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.4.0-0xenial) xenial; urgency=high

  * Update config dialog for Qt5
  * Migrate to Qt5
  * Merge pull request #23 <https://github.com/OTL/rqt_ez_publisher/issues/23> from felixduvallet/travis_fix
    Fix travis script
  * Fix python import path by sourcing devel/setup.bash.
  * Contributors: Felix Duvallet, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 25 Oct 2016 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.3.2-0xenial) xenial; urgency=high

  * Fix JointTrajectory issue #22
  * Apply pep8
  * Merge pull request #21 from felixduvallet/travis_ci
    It seems nice!
  * Merge pull request #20 from felixduvallet/load_from_file_fix
    fix problem with loading yaml slider config file
  * Add travis CI for package.
  * fix problem with loading yaml slider config file.
  * remove trailing whitespace.
  * Contributors: Felix Duvallet, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 05 May 2016 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.3.1-0xenial) xenial; urgency=high

  * Fix save/load dialog
  * Search from deeper topic name
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 10 Apr 2016 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.3.0-0xenial) xenial; urgency=high

  * Add save/load button in config dialog
  * Support yaml setting file
  * Support action in devel environment
  * update some log messages

 -- Takashi Ogura <t.ogura@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.2.0-0xenial) xenial; urgency=high

  * Add tf for dependency
  * Refactoring
    - Use base_widget
    - divided widgets into widget/
    - moved publishers into publisher/
    - rpy to quaternion_module/
  * do not create header/seq
  * Convert Quaternion to RPY

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 18 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.1.0-0xenial) xenial; urgency=high

  * Change default for double 1.0
  * Support tf and header
  * fix bug with array
  * fix type bug

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 12 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.0.5-0xenial) xenial; urgency=high

  * Fix test wait

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.0.4-0xenial) xenial; urgency=high

  * Update for indigo
  * Fix NoneType error for make_topic_string
  * Clean codes (applied pep8)
  * Support byte
  * Add sphinx doc

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 10 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.0.3-0xenial) xenial; urgency=high

  * Add tests that uses ros
  * Support array of non builtin type
  * add build status in README.md
  * Add config dialog, reload button

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 04 Jul 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.0.2-0xenial) xenial; urgency=high

  * MoveUP/Down and use icon
  * Fix cmake (remove python packages from find_package)
  * Support repeat publish
  * support Header
  * add queue_size for publisher for indigo
  * for python3

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 28 Jun 2014 15:00:00 -0000

ros-kinetic-rqt-ez-publisher (0.0.1-0xenial) xenial; urgency=high

  * more easy topic publisher

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 28 Jun 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rqt-ez-publisher
Section: misc
Priority: extra
Maintainer: Takashi Ogura <t.ogura@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-rostest, ros-kinetic-sensor-msgs
Homepage: http://wiki.ros.org/rqt_ez_publisher
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-ez-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-rospy, ros-kinetic-rqt-gui, ros-kinetic-rqt-gui-py, ros-kinetic-rqt-py-common, ros-kinetic-tf, ros-kinetic-tf2-msgs
Description: The rqt_ez_publisher package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-ez-publisher//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
